ALWAYS_BRACKET = 0
NO_BRACKETS_FOR_SIMPLE = 10
NEVER_BRACKET = 20

ADD_PRECEDENCE = 1
SUBTRACT_PRECEDENCE = 2
MULTIPLY_PRECEDENCE = 3
RATIONAL_PRECEDENCE = 4

POWER_PRECEDENCE = NO_BRACKETS_FOR_SIMPLE
NEGATE_PRECEDENCE = NO_BRACKETS_FOR_SIMPLE

REAL_PRECEDENCE = NEVER_BRACKET
SYMBOL_PRECEDENCE = NEVER_BRACKET
